Skip to main content
POST
/
api
/
payments
/
crypto
/
bulk
/
{id}
/
cancel
Cancel bulk crypto payment
curl --request POST \
  --url https://app.sandbox.rio.trade/api/payments/crypto/bulk/{id}/cancel \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.sandbox.rio.trade/api/payments/crypto/bulk/{id}/cancel"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.sandbox.rio.trade/api/payments/crypto/bulk/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2025-01-04T00:24:28.658Z",
  "userId": "6757546b4c5d19bf3cd7b09c",
  "orderIds": [
    "677880bab7a7c5e821c9f56f",
    "67788100b7a7c5e821c9fc0f",
    "6778811fb7a7c5e821c9fef5",
    "67788276b7a7c5e821ca1f33"
  ],
  "amount": 14340,
  "orderIdsPaid": [
    "677880bab7a7c5e821c9f56f",
    "67788100b7a7c5e821c9fc0f",
    "6778811fb7a7c5e821c9fef5",
    "67788276b7a7c5e821ca1f33"
  ],
  "status": "awaitingPayment",
  "depositAddress": "5BZDQjWad45rT1vYT5KdJHgSU4rWXL1Y5nDoTwSrT8Pr",
  "id": "67787fbcd520f9ecb10e9be6"
}

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the bulk crypto payment

Response

200 - application/json

OK

createdAt
string

The date and time the order was created

Example:

"2025-01-04T00:24:28.658Z"

userId
string

The unique identifier of the user

Example:

"6757546b4c5d19bf3cd7b09c"

orderIds
string[]

List of order IDs pending payment

Example:
[
"677880bab7a7c5e821c9f56f",
"67788100b7a7c5e821c9fc0f",
"6778811fb7a7c5e821c9fef5",
"67788276b7a7c5e821ca1f33"
]
amount
number

The total amount of the orders

Example:

14340

orderIdsPaid
string[]

List of order IDs that have been paid

Example:
[
"677880bab7a7c5e821c9f56f",
"67788100b7a7c5e821c9fc0f",
"6778811fb7a7c5e821c9fef5",
"67788276b7a7c5e821ca1f33"
]
crypto
enum<string>

The type of cryptocurrency involved in the order

Available options:
USDC,
USDC_POLYGON,
USDC_POLYGON_NXTB,
SOL_USDC_PTHX,
XLM_USDC_5F3T,
USDT_POLYGON,
USDT_ERC20,
TRX_USDT_S2UZ,
USDT_BSC
country
enum<string>

The country of the operation

Available options:
MX,
PE,
CO,
US
status
enum<string>

The current status of the bulk crypto payment.

Available options:
awaitingDepositAddress,
awaitingOrders,
awaitingPayment,
awaitingAsyncPayment,
awaitingAsyncPayoutForOrders,
complete,
failed,
cancelled,
insufficientAmountReceived,
excessAmountReceived
Example:

"awaitingPayment"

depositAddress
string

The deposit address for the order

Example:

"5BZDQjWad45rT1vYT5KdJHgSU4rWXL1Y5nDoTwSrT8Pr"

id
string

The unique identifier of the order

Example:

"67787fbcd520f9ecb10e9be6"